# ChangeLog for sys-libs/ncurses
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sys-libs/ncurses/ChangeLog,v 1.108 2006/03/30 12:46:13 flameeyes Exp $

  30 Mar 2006; Diego Pettenò <flameeyes@gentoo.org> ncurses-5.5-r2.ebuild:
  Add ~x86-fbsd keyword.

*ncurses-5.5-r2 (08 Mar 2006)

  08 Mar 2006; Mike Frysinger <vapier@gentoo.org> +ncurses-5.5-r2.ebuild:
  Make sure we move the wide versions of libs to /usr/lib as well.

  31 Dec 2005; Diego Pettenò <flameeyes@gentoo.org> ncurses-5.5-r1.ebuild:
  Use $CHOST checks instead of $USERLAND checks for moving libraries around.

  14 Dec 2005; Diego Pettenò <flameeyes@gentoo.org>
  files/ncurses-5.5-gfbsd.patch:
  Make sure that also dragonfly is tested when linking, or ncurses will fail
  ./configure there. Thanks to arachnist for testing.

  10 Nov 2005; Diego Pettenò <flameeyes@gentoo.org>
  +files/ncurses-5.5-gfbsd.patch, ncurses-5.5-r1.ebuild:
  Add patch from gentoo-alt overlay to use Linux soname naming on FreeBSD to
  avoid linking breakage.

*ncurses-5.5-r1 (10 Nov 2005)

  10 Nov 2005; Mike Frysinger <vapier@gentoo.org> +ncurses-5.5-r1.ebuild:
  Add support for --enable-const #111961 by Horst Schirmeier.

*ncurses-5.5 (20 Oct 2005)

  20 Oct 2005; Mike Frysinger <vapier@gentoo.org> +ncurses-5.5.ebuild:
  Version bump #109838 by Vorobyev Dmitri.

*ncurses-5.4.20050827 (15 Sep 2005)

  15 Sep 2005; Mike Frysinger <vapier@gentoo.org> -ncurses-5.4.20050827.ebuild:
  Punt since it is binary incompat with earlier versions.  Next jumbo patchset 
  should address this though.

  29 Jun 2005; Joshua Kinard <kumba@gentoo.org> ncurses-5.4-r6.ebuild:
  Marked stable on mips.

  06 Jun 2005; Markus Rothe <corsair@gentoo.org> ncurses-5.4-r6.ebuild:
  Stable on ppc64

  29 May 2005; <solar@gentoo.org> ncurses-5.4-r5.ebuild:
  - update sys-libs/ncurses to use libc expanded variable elibc_uclibc vs uclibc
  so USE=-* works

  10 May 2005; Mike Frysinger <vapier@gentoo.org>
  ncurses-5.4.20050319.ebuild:
  Install libraries into /usr/lib on Darwin #92018.

  01 May 2005; Michael Hanselmann <hansmi@gentoo.org> ncurses-5.4-r6.ebuild:
  Stable on ppc.

*ncurses-5.4.20050319 (28 Apr 2005)

  28 Apr 2005; Mike Frysinger <vapier@gentoo.org>
  +ncurses-5.4.20050319.ebuild:
  Add patch from upstream.

  28 Apr 2005; Gustavo Zacarias <gustavoz@gentoo.org> ncurses-5.4-r6.ebuild:
  Stable on sparc

*ncurses-5.4-r6 (23 Mar 2005)

  23 Mar 2005; Mike Frysinger <vapier@gentoo.org> +ncurses-5.4-r6.ebuild:
  Install both normal ncurses and wide ncurses with USE=unicode. Take a page
  from RedHat to do this.

  22 Mar 2005; Heinrich Wendel <lanius@gentoo.org> ncurses-5.4-r5.ebuild:
  add warning for bug #78313

  30 Jan 2005; Mike Frysinger <vapier@gentoo.org> ncurses-5.4-r5.ebuild:
  Since gpm no longer DEPENDs on autoconf, it should be save to DEPEND on again.

  03 Jan 2005; Ciaran McCreesh <ciaranm@gentoo.org> :
  Change encoding to UTF-8 for GLEP 31 compliance

  07 Dec 2004; <solar@gentoo.org> ncurses-5.4-r5.ebuild:
  - Stopped abusing uclibc for cxx handling, the ebuild now uses nocxx bug
  #73633 - enable work around --program-prefix= as ncurses will pick up the arch
  tuple and put it in the program prefix incorrectly as
  arch-vendor-linux-<libc>-<app>

  17 Oct 2004; Dylan Carlson <absinthe@gentoo.org> ncurses-5.4-r5.ebuild:
  stable on amd64.
 
  04 Oct 2004; Pieter Van den Abeele <pvdabeel@gentoo.org> 
  ncurses-5.4-r5.ebuild:
  PPC stable

  02 Oct 2004; Bryan Østergaard <kloeri@gentoo.org> ncurses-5.4-r5.ebuild:
  Stable on alpha.

  25 Sep 2004; Joshua Kinard <kumba@gentoo.org> ncurses-5.4-r5.ebuild:
  Marked stable on mips.

  22 Sep 2004; Gustavo Zacarias <gustavoz@gentoo.org> ncurses-5.4-r5.ebuild:
  Stable on sparc

  21 Sep 2004; Heinrich Wendel <lanius@gentoo.org> ncurses-5.4-r5.ebuild:
  mark x86

  08 Sep 2004; Mike Frysinger <vapier@gentoo.org> ncurses-5.3-r5.ebuild,
  ncurses-5.4-r1.ebuild, ncurses-5.4-r2.ebuild, ncurses-5.4-r3.ebuild,
  ncurses-5.4-r4.ebuild, ncurses-5.4-r5.ebuild:
  Generate a ldscript for libcurses.so too #51901.

  02 Sep 2004; Travis Tilley <lv@gentoo.org> ncurses-5.4-r1.ebuild,
  ncurses-5.4-r2.ebuild, ncurses-5.4-r3.ebuild, ncurses-5.4-r4.ebuild,
  ncurses-5.4-r5.ebuild:
  changed CONF_LIBDIR to $(get_libdir), since the get_libdir function has sane
  defaults when using a version a portage without CONF_LIBDIR support

*ncurses-5.4-r5 (30 Aug 2004)

  30 Aug 2004; Guy Martin <gmsoft@gentoo.org> +ncurses-5.4-r5.ebuild:
  Unconditonal use of -fPIC (#55238).

  19 Aug 2004; Travis Tilley <lv@gentoo.org> ncurses-5.4-r4.ebuild:
  fix utf-8 support so that it doesnt totally bork installs with a /lib64
  directory. fixes bug 60920

*ncurses-5.4-r4 (19 Aug 2004)

  19 Aug 2004; Heinrich Wendel <lanius@gentoo.org> ncurses-5.4-r4.ebuild:
  add utf-8 support, bug #20006, #27700

  17 Aug 2004; Michael Sterrett <mr_bones_@gentoo.org> ncurses-5.4-r3.ebuild:
  IUSE doc

  17 Aug 2004; Aron Griffis <agriffis@gentoo.org> ncurses-5.4-r3.ebuild:
  stable on alpha and ia64

  14 Aug 2004; Travis Tilley <lv@gentoo.org> ncurses-5.4-r1.ebuild,
  ncurses-5.4-r2.ebuild, ncurses-5.4-r3.ebuild:
  added CONF_LIBDIR support for installing to lib64/lib32

  11 Aug 2004; Michael Sterrett <mr_bones_@gentoo.org> ncurses-5.3-r5.ebuild,
  ncurses-5.4-r1.ebuild, ncurses-5.4-r2.ebuild, ncurses-5.4-r3.ebuild:
  gnuconfig_update in src_unpack

*ncurses-5.4-r3 (28 Jul 2004)

  28 Jul 2004; Jon Portnoy <avenj@gentoo.org> ncurses-5.3-r5.ebuild,
  ncurses-5.4-r1.ebuild, ncurses-5.4-r2.ebuild, ncurses-5.4-r3.ebuild :
  Updated ebuilds to use --enable-symlinks per bug #41886.

  02 Jul 2004; Jeremy Huddleston <eradicator@gentoo.org>
  ncurses-5.3-r5.ebuild, ncurses-5.4-r1.ebuild, ncurses-5.4-r2.ebuild:
  virtual/glibc -> virtual/libc

  27 Jun 2004; Aron Griffis <agriffis@gentoo.org> ncurses-5.3-r5.ebuild:
  QA - fix use invocation

*ncurses-5.4-r2 (19 Jun 2004)

  19 Jun 2004; <solar@gentoo.org> ncurses-5.4-r2.ebuild:
  Add missing IUSE='build bootstrap' flags and new uclibc IUSE flag. Remove
  extraneous ncurses libraries when bootstraping and or when uclibc is set.

  07 Jun 2004; Mike Frysinger <vapier@gentoo.org> ncurses-5.4-r1.ebuild:
  Move back into ~ppc since latest xfree/xorg-x11/gcc combination should fix the
  xfree compile bug.

  15 May 2004; Joshua Kinard <kumba@gentoo.org> ncurses-5.4-r1.ebuild:
  Marked stable on mips.

  13 Apr 2004; Mike Frysinger <vapier@gentoo.org> ncurses-5.3-r1.ebuild 
  ncurses-5.3-r2.ebuild ncurses-5.3-r3.ebuild ncurses-5.3-r4.ebuild 
  ncurses-5.4.ebuild ncurses-5.4-r1.ebuild :
  Prune out old ebuilds since KEYWORDS overrides the previous ones and 
  add back in parallel support with 5.4 via (emake).  Tested on a P4 with -j
  and on a 8way with -j16 ;).

  02 Apr 2004; Jon Portnoy <avenj@gentoo.org> ncurses-5.4.ebuild, 
  ncurses-5.4-r1.ebuild :
  Revert gpm support entirely due to bootstrap problems.

  30 Mar 2004; <rac@gentoo.org> ncurses-5.4-r1.ebuild, ncurses-5.4.ebuild:
  Make gpm support not come in if USE=bootstrap, fix bootstrap with USE=gpm set

  29 Mar 2004; Jon Portnoy <avenj@gentoo.org> ncurses-5.4.ebuild,
  ncurses-5.4-r1.ebuild :
  Added gpm support. Bug #22005.

  26 Mar 2004; Jason Wever <weeve@gentoo.org> ncurses-5.4-r1.ebuild:
  Marked ncurses-5.4-r1 stable on sparc again.

  16 Mar 2004; <solar@gentoo.org> ncurses-5.4-r1.ebuild:
  new filter-ldflags function in flag-o-matic allows us to filter exactly what
  we need here which is -pie.. So lets use that function vs all of filter-flags
  and all it's glory

  15 Mar 2004; Jason Wever <weeve@gentoo.org> ncurses-5.4-r1.ebuild,
  ncurses-5.4.ebuild:
  Marked ncurses-5.4.* to testing on sparc as it breaks things and never was in
  testing first.

  12 Mar 2004; <solar@gentoo.org> ncurses-5.4-r1.ebuild:
  ncurses fails to link properly with global LDFLAGS=-pie so we filter it

  08 Mar 2004; Bartosch Pixa <darkspecter@gentoo.org> ncurses-5.4-r1.ebuild,
  ncurses-5.4.ebuild:
  set ~ppc as 5.4 breaks building xfree on ppc

  07 Mar 2004; Joshua Kinard <kumba@gentoo.org> ncurses-5.3-r5.ebuild:
  Marked stable on mips.

*ncurses-5.4-r1 (03 Mar 2004)

  03 Mar 2004; Martin Schlemmer <azarah@gentoo.org> ncurses-5.4-r1.ebuild,
  files/ncurses-5.4-xterm.patch:
  Do not use current capabilities for xterm terminfo, but rather those of older
  xfree 4.3 (matches ncurses 5.3 behaviour ...).  Bug #43432.

*ncurses-5.4 (29 Feb 2004)

  29 Feb 2004; Martin Schlemmer <azarah@gentoo.org> ncurses-5.4.ebuild,
  files/ncurses-5.4-share-sed.patch, files/ncurses-5.4-xterm.patch:
  Update version, closes bug #43302.

  29 Feb 2004; Martin Schlemmer <azarah@gentoo.org> ncurses-5.3-r5.ebuild,
  files/ncurses-5.3-share-sed.patch:
  Sed replaces all 'share' in patch with 'lib', which causes sandbox errors with
  a PORTAGE_TMPDIR with 'share' in it, bug #42336.
  Patch by gna <gnagent2@yahoo.com.au>.

  21 Feb 2004; Brad House <brad_mssw@gentoo.org> ncurses-5.3-r5.ebuild:
  mark stable on amd64 and ppc64

  16 Feb 2004; Brandon Low <lostlogic@gentoo.org> ncurses-5.3-r5.ebuild:
  Bump to stable on ARM to fix a bad dep from less

  17 Jan 2004; Christian Birchinger <joker@gentoo.org> ncurses-5.3-r5.ebuild:
  Added sparc stable keyword

  16 Jan 2004; Joshua Kinard <kumba@gentoo.org> ncurses-5.3-r1.ebuild,
  ncurses-5.3-r2.ebuild, ncurses-5.3-r3.ebuild, ncurses-5.3-r4.ebuild,
  ncurses-5.3-r5.ebuild:
  Added gnuconfig support for mips in ncurses-5.3-r2 through -r5 and bumped -r1
  back into arm unstable to fix dependency issue.

  15 Jan 2004; Aron Griffis <agriffis@gentoo.org> ncurses-5.3-r5.ebuild:
  stable on alpha and ia64

*ncurses-5.3-r5 (11 Jan 2004)

  11 Jan 2004; Martin Schlemmer <azarah@gentoo.org> ncurses-5.3-r5.ebuild,
  files/ncurses-5.3-coretutils.patch, files/ncurses-5.3-coreutils.patch:
  We need the basic terminfo files in /etc, bug #37026.  We will
  add '--with-terminfo-dirs="/etc/terminfo:..." to ./configure and
  then populate /etc/terminfo in src_install() ...

  28 Dec 2003; Joshua Kinard <kumba@gentoo.org> ncurses-5.3-r2.ebuild:
  Move to mips stable (~mips -> mips)

  22 Dec 2003; Guy Martin <gmsoft@gentoo.org> ncurses-5.3-r4.ebuild :
  Marked stable on hppa. This will add -fPIC to ncurses.

  14 Dec 2003; Guy Martin <gmsoft@gentoo.org> ncurses-5.3-r2.ebuild:
  Marked stable on hppa.

  10 Dec 2003; Aron Griffis <agriffis@gentoo.org> ncurses-5.3-r4.ebuild:
  Use the brand-spanking-new 64-bit eclass for -fPIC

  08 Nov 2003; Brad House <brad_mssw@gentoo.org> ncurses-5.3-r4.ebuild:
  need -fPIC for amd64 for building static libs as well as shared libs

  04 Nov 2003; Brad House <brad_mssw@gentoo.org> ncurses-5.3-r4.ebuild:
  mark stable on amd64

  04 Nov 2003; Christian Birchinger <joker@gentoo.org> ncurses-5.3-r2.ebuild:
  Added sparc stable keyword

  22 Oct 2003; Bartosch Pixa <darkspecter@gentoo.org> ncurses-5.3-r4.ebuild:
  set ppc in keywords

  17 Sep 2003; Jon Portnoy <avenj@gentoo.org> ncurses-5.3-r4.ebuild :
  ia64 keywords.

  16 Aug 2003; Nick Hadaway <raker@gentoo.org> ncurses-5.3-r{1-4}.ebuild:
  Changed the die message for make so users aren't confused.

*ncurses-5.3-r4 (04 Aug 2003)

  04 Aug 2003; Aron Griffis <agriffis@gentoo.org> ncurses-5.3-r4.ebuild:
  Need to inherit eutils for gen_usr_ldscript

*ncurses-5.3-r3 (01 Aug 2003)

  01 Aug 2003; Aron Griffis <agriffis@gentoo.org> ncurses-5.3-r3.ebuild,
  files/xterm-debian.ti:
  Add xterm-debian terminfo entry for bug 18486

*ncurses-5.3-r2 (11 Jun 2003)

  01 Jul 2003; Todd Sunderlin <todd@gentoo.org> ncurses-5.3-r2.ebuild,
  set stable on sparc

  11 Jun 2003; Seemant Kulleen <seemant@gentoo.org> ncurses-5.2-r7.ebuild,
  ncurses-5.2.20020511-r3.ebuild, ncurses-5.3-r2.ebuild,
  files/ncurses-5.3-xterm.patch:
  bartron <bartron@gmx.net> submitted a patch which allows home and end keys to
  work in things like nano. Thanks to him in bug #21356

  13 Mar 2003; Olivier Reisch <doctomoe@gentoo.org> ncurses-5.3-r1.ebuild :
  Marked ppc stable

  07 Feb 2003; Zach Welch <zwelch@gentoo.org> ncurses-5.3-r1.ebuild :
  Added arm to keywords.

  07 Feb 2003; Guy Martin <gmsof@gentoo.org> ncurses-5.3-r1.ebuild :
  Added hppa to keywords.

  06 Jan 2003; Jan Seidel <tuxus@gentoo.org> ncurses-5.2.20020511-r3 :
  Added mips to keywords.

  01 Jan 2003; Nick Hadaway <raker@gentoo.org> ncurses-5.3-r1.ebuild :
  Added --without-ada to build options as a newer version of ncurses and
  a modified gcc are required for this support.  See bug #12288 and
  #11204.

  10 Dec Martin Schlemmer <azarah@gentoo.org> ncurses-5.3-r1.ebuild :
  Mark as stable for x86.

  06 Dec 2002; Rodney Rees <manson@gentoo.org> :
  Changed sparc ~sparc keywords
 
*ncurses-5.2-r7 (26 Oct 2002)
*ncurses-5.2.20020511-r3 (26 Oct 2002)
*ncurses-5.3-r1 (26 Oct 2002)

  28 Mar 2003; Christian Birchinger <joker@gentoo.org> ncurses-5.3-r1.ebuild:
  Added sparc stable keyword

  24 Feb 2003; Nicholas Wourms <dragon@gentoo.org> ncurses-5.3-r1.ebuild :
  Tested on mips extensively, works fine.  Marked as stable for mips.

  10 Nov 2002; Nick Hadaway <raker@gentoo.org> ncurses-5.3-r1.ebuild :
  Marked unstable and unmasking.

  26 Oct 2002; Martin Schlemmer <azarah@gentoo.org> ncurses*.ebuild :
  Add linker scripts in /usr/lib to fix bug #4411.

*ncurses-5.3 (17 Oct 2002)

  23 Oct 2002; Martin Schlemmer <azarah@gentoo.org> ncurses-5.3.ebuild :
  
  Because ncurses-5.3 have c++ bindings, we cannot enable them during
  bootstrap.  Thus disable it if "build" or "bootstrap" in USE, and
  then get bootstrap.sh to rebuild it afterwards without those flags.
  Also fix a problem where old build images had ncurses-5.2 libs, which
  did not get removed.

  17 Oct 2002; Nick Hadaway <raker@gentoo.org> ncurses-5.3.ebuild,
  files/digest-ncurses-5.3 :
  New version of ncurses.  Many years worth of fixes culminating to a
  new release.

*ncurses-5.2.20020511-r2 (3 Sep 2002)
*ncurses-5.2-r6 (3 Sep 2002)

  3 Sep 2002; Martin Schlemmer <azarah@gentoo.org> ncurses-5.2.20020511-r2,
                                                   ncurses-5.2-r6 :
  
  Change --enable-termcap to --disable-termcap.  This fixes the starup
  problems in screen with the presence of /etc/termcap.  This should
  close bug #7060.  NOTE: remerge screen after ncurses update.

*ncurses-5.2.20020511-r1 (9 Jun 2002)
	
  31 Jul 2002; Seemant Kulleen <seemant@gentoo.org> :

  the second gcc-3.1 patch (from files/) attempts to replace lines in the
  cursesw.cc file that do not even exist any longer.  the patch fails.  It
  has been commented out, with the hope that whoever generated it for the
  older snapshots will investigate and sort this out.  ncurses, it must be
  noted, appears to work well in production, despite the failed patch,
  anyway.

  24 Jul 2002; Spider <spider@gentoo.org> :
  change CXXFLAGS in the ebuild to accomodate for -fno-exceptions

  15 Jul 2002; Mark Guertin <gerk@gentoo.org>
  Added ppc to keywords

  26 June 2002; mark Guertin <gerk@gentoo.org> :

  changed bzcat to bunzip2 -c (bzcat doesn't exist until
  building bzip2 outside of USE="build" so this broke
  building stage1)

  9 Jun 2002; Dan Armak <danarmak@gentoo.org> :
  
  Add bzip2 as a dep so that said patch, which is compressed, can be applied.

*ncurses-5.2.20020511-r1 (26 May 2002)

  26 May 2002; Preston A. Elder <prez@gentoo.org> :

  Added patch to make it work with gcc 3.1

*ncurses-5.2.20020511 (18 May 2002)

  18 May 2002; Donny Davies <woodchip@gentoo.org> :

  New snapshot for gcc-3.x testing.

*ncurses-5.2.20020112a-r1 (205 Apr 2002)

  05 Apr 2002; Geert Bevin <gbevin@gentoo.org> :

  Small header file fix to make apps that use ncurses compile correctly with gcc3.
	
*ncurses-5.2.20020112a (21 Mar 2002)

  21 Mar 2002; Grant Goodyear <g2boojum@gentoo.org> :

  New version that compiles w/ gcc3.
	
*ncurses-5.2-r5 (21 Mar 2002)
  04 Aug 2002; Spider <spider@gentoo.org> ncurses-5.2-r5.ebuild :
  filter out -fno-exceptions from this build as well.
  
  12 Mar 2002; Seemant Kulleen <seemant@gentoo.org> ncurses-5.2-r5.ebuild :
	
  stefan@mdy.univie.ac.at pointed out html documentation getting gzipped
  unnecessarily.  This is now fixed in r5.  I noticed a prior r4 which does
  not work anyway, so this is based off r3.

*ncurses-5.2-r3 (1 Feb 2002)

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
  
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
